<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.guosen.bussinessuserwithdraw.mapper.BussinessUserWithdrawMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="bussinessUserWithdrawResultMap" type="org.springblade.modules.guosen.bussinessuserwithdraw.entity.BussinessUserWithdraw">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="request_no" property="requestNo"/>
        <result column="merchant_no" property="merchantNo"/>
        <result column="bank_card_id" property="bankCardId"/>
        <result column="bank_account_no" property="bankAccountNo"/>
        <result column="receiver_account_name" property="receiverAccountName"/>
        <result column="bank_code" property="bankCode"/>
        <result column="receive_type" property="receiveType"/>
        <result column="order_amount" property="orderAmount"/>
        <result column="remark" property="remark"/>
        <result column="user_info_id" property="userInfoId"/>
        <result column="withdraw_status" property="withdrawStatus"/>
        <result column="third_order_no" property="thirdOrderNo"/>
        <result column="third_log" property="thirdLog"/>
        <result column="fail_reason" property="failReason"/>
        <result column="return_msg" property="returnMsg"/>
        <result column="third_order_amount" property="thirdOrderAmount"/>
        <result column="third_debit_amount" property="thirdDebitAmount"/>
        <result column="third_receive_amount" property="thirdReceiveAmount"/>
        <result column="fee" property="fee"/>
        <result column="fee_undertaker_merchant_no" property="feeUndertakerMerchantNo"/>
        <result column="is_reversed" property="isReversed"/>
        <result column="reverse_time" property="reverseTime"/>
        <result column="first_transfer_order_id" property="firstTransferOrderId"/>
        <result column="second_transfer_order_id" property="secondTransferOrderId"/>
        <result column="user_register_request_id" property="userRegisterRequestId"/>
        <result column="bussiness_order_id" property="bussinessOrderId"/>
        <result column="bussiness_id" property="bussinessId"/>
        <result column="withdraw_flag" property="withdrawFlag"/>
        <result column="withdraw_notify_url" property="withdrawNotifyUrl"/>
    </resultMap>


    <select id="selectBussinessUserWithdrawPage" resultMap="bussinessUserWithdrawResultMap">
        select * from cyzh_bussiness_user_withdraw where is_deleted = 0
    </select>

</mapper>
